import { useTranslation } from "i18next-vue";

export const getVVCourseName = (courseType: string) => {
  const { t } = useTranslation();

  if (!["vv-de", "vv-it", "vv-fr"].includes(courseType)) {
    return "";
  }

  const lookup: { [key: string]: string } = {
    "vv-de": "Deutsch",
    "vv-fr": "Français",
    "vv-it": "Italiano",
  };

  const vv = t("a.Versicherungsvermittler/-in");
  return `${vv} (${lookup[courseType]})`;
};
